Bug 1701920 - olpc-os-builder fails to install due to missing dependencies
Summary: olpc-os-builder fails to install due to missing dependencies
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: olpc-os-builder
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Daniel Drake
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2FTBI F31FailsToInstall SugarOnPy3 F32FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-04-22 13:15 UTC by Miro Hrončok
Modified: 2019-09-20 22:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-20 22:36:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-04-22 13:15:29 UTC
$ mock -r fedora-rawhide-x86_64 install olpc-os-builder
...
Error: 
 Problem: conflicting requests
  - nothing provides python2-imgcreate needed by olpc-os-builder-7.0.1-12.fc29.x86_64


Please fix this or retire the package.

Comment 1 Miro Hrončok 2019-04-29 20:06:27 UTC
A week has passed and this bug is still in the NEW state and the package does not install.

Please fix this or indicate that you are working ona  fix by setting the state to ASSIGNED.

After 3 such reminders, this package may be orphaned.

https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

Thanks

Comment 2 Miro Hrončok 2019-05-06 14:14:40 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(My previous comment might have come across a bit too aggressive. I'm sorry, that was not my intention.)

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 3 Miro Hrončok 2019-05-13 07:40:48 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 4 Miro Hrončok 2019-05-20 11:21:30 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 5 Peter Robinson 2019-05-20 12:02:27 UTC
Working to fix  it

Comment 6 Miro Hrončok 2019-06-18 21:15:01 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install olpc-os-builder
Problem: conflicting requests
 - nothing provides python2-imgcreate needed by olpc-os-builder-7.0.1-12.fc29.x86_64

Comment 7 Peter Robinson 2019-06-18 21:16:19 UTC
>  - nothing provides python2-imgcreate needed by
> olpc-os-builder-7.0.1-12.fc29.x86_64

Yup dependencies being killed off with no engagement with the consumers of them :(

Comment 8 Ben Cotton 2019-08-13 17:00:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 9 Ben Cotton 2019-08-13 19:10:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 10 Miro Hrončok 2019-08-21 15:47:19 UTC
See https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

"Packages still failing to install due to a missing Python 2 dependency will be retired at Beta Freeze, assuming they have a Bugzilla bug open for at least 2 weeks. The package maintainer may postpone this retirement to the Final Freeze by promising to fix it until then."

Let me know if this package shall not be retired yet. The beta freeze is at 2019-08-29, the final freeze is at 2019-10-08.

Comment 11 Miro Hrončok 2019-08-26 12:04:27 UTC
Will postpone the retirement to the Final Freeze based on the mailing list discussion with Peter: https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/A5NTIBGL6PYGLFGPC7W4H4UVOVPVKMJM/

Comment 12 Miro Hrončok 2019-09-20 22:36:08 UTC
This got retired in the meantime.


Note You need to log in before you can comment on or make changes to this bug.